### File

`packages/ecl/components/ecl-banner/ecl-banner-video.directive.ts`

### Description

Directive applied to the video element used in the banner. Adds appropriate styling classes to the host element.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `video[eclBannerVideo]`

### Index

###### Properties
Public el videoClasses
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class

### Constructor

`constructor(el: ElementRef)`
Reference to the native video element. Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Default value : `'ecl-video ecl-banner__video'`
CSS classes applied to the host video element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public el
Type : `ElementRef`

videoClasses
Type : `string`
Default value : `'ecl-video ecl-banner__video'`
Decorators : `@HostBinding('class')`
CSS classes applied to the host video element.

# results matching ""

# No results matching ""